Bug 92324 - flex-wrap: wrap not wrapping for % sized items in column flow
Summary: flex-wrap: wrap not wrapping for % sized items in column flow
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.7
: P2 Normal
Assignee: Tony Chang
URL:
Keywords:
Depends on:
Blocks: 62048
  Show dependency treegraph
 
Reported: 2012-07-25 17:32 PDT by Scott Miles
Modified: 2012-07-27 12:46 PDT (History)
6 users (show)

See Also:


Attachments
flex-wrap samples highlighting failing configuration (1.73 KB, text/html)
2012-07-25 17:32 PDT, Scott Miles
no flags Details
Patch (8.23 KB, patch)
2012-07-26 16:44 PDT, Tony Chang
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-07 (581.21 KB, application/zip)
2012-07-27 00:19 PDT, WebKit Review Bot
no flags Details
Patch for landing (8.17 KB, patch)
2012-07-27 11:29 PDT, Tony Chang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Miles 2012-07-25 17:32:53 PDT
Created attachment 154502 [details]
flex-wrap samples highlighting failing configuration

%-sized flex items not wrapping under flex-flow: column wrap (they do in fact wrap under flex-flow: row wrap)
Comment 1 Ojan Vafai 2012-07-26 08:39:34 PDT
Yup, definitely a bug.
Comment 2 Tony Chang 2012-07-26 16:44:35 PDT
Created attachment 154786 [details]
Patch
Comment 3 WebKit Review Bot 2012-07-27 00:19:50 PDT
Comment on attachment 154786 [details]
Patch

Attachment 154786 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13369269

New failing tests:
css3/flexbox/percentage-heights.html
Comment 4 WebKit Review Bot 2012-07-27 00:19:54 PDT
Created attachment 154861 [details]
Archive of layout-test-results from gce-cr-linux-07

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-07  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 5 Tony Chang 2012-07-27 11:29:38 PDT
Created attachment 154994 [details]
Patch for landing
Comment 6 Tony Chang 2012-07-27 11:30:57 PDT
(In reply to comment #3)
> (From update of attachment 154786 [details])
> Attachment 154786 [details] did not pass chromium-ews (chromium-xvfb):
> Output: http://queues.webkit.org/results/13369269
> 
> New failing tests:
> css3/flexbox/percentage-heights.html

I'm dumb. I had changed the height/width properties of the flexbox to min-height/min-width because I was testing if I needed to handle that.  I forgot to change it back when I uploaded the diff.

I'll let the commit queue land this to verify that the new test is correct.
Comment 7 WebKit Review Bot 2012-07-27 12:46:29 PDT
Comment on attachment 154994 [details]
Patch for landing

Clearing flags on attachment: 154994

Committed r123909: <http://trac.webkit.org/changeset/123909>
Comment 8 WebKit Review Bot 2012-07-27 12:46:33 PDT
All reviewed patches have been landed.  Closing bug.